local t = Def.ActorFrame{
	InitCommand=cmd(fov,100);
	
	Def.Quad{
		OnCommand=cmd(FullScreen;draworder,-100;diffuse,color("0.6,0.2,0.3,0.2"););
	};
--[[
	LoadActor( THEME:GetPathB("_shared","models/_cross") )..{
		InitCommand=cmd(blend,'BlendMode_Normal';draworder,-99;x,SCREEN_RIGHT-100;y,SCREEN_CENTER_Y+100;diffusealpha,0.9;zoom,0.5;rotationx,120;rotationz,200;spin;effectmagnitude,-10,-6,8;);
	};
]]	
	
	Def.ActorFrame{
		-- song background
		Def.Sprite{
			InitCommand=cmd(Center;);
			OnCommand=function(self)

				if not GAMESTATE:IsCourseMode() then
					local song = GAMESTATE:GetCurrentSong();
					local path;
					if song then
						local gw=self:GetWidth();
						local gh=self:GetHeight();
						local Path = song:GetBackgroundPath();
						if not Path then
							Path = THEME:GetPathG("Common fallback","background");
						end;
						self:Load( Path );
						self:diffusealpha(0.45);
						if DISPLAY:GetDisplayWidth()/DISPLAY:GetDisplayHeight() >= gw/gh then
							self:scaletofit( 0,0,SCREEN_WIDTH,SCREEN_HEIGHT );
						else
							self:scaletocover( 0,0,SCREEN_WIDTH,SCREEN_HEIGHT );
						end;
					end;
				end;

			end;
		};
	};
};
return t;